Subject: Re: bug#22993: Potential fix/workaround for 22993

From: Alan Third <[email-masked]>
Date: Sun, 10 Jul 2016 10:53:32 +0100

On Fri, Jul 08, 2016 at 05:29:26AM +0000, Aaron Jensen wrote:
> On Thu, Jul 7, 2016 at 12:58 PM Alan Third <[email-masked]> wrote:
> 
> > Unfortunately I can't quite work out what they're doing. That
> > QSettings thing is specific to QT, as far as I can tell. There must be
> > a Cocoa equivalent, but I don't know what it is.
> >
> 
> I believe it’s this:
> 
>  CFDictionarySetValue(infoDict, CFSTR(“NSAppSleepDisabled"),
> kCFBooleanTrue);
> 
> via
> https://github.com/salamanderrake/KDevelop/blob/0e9822520dde913e177d00ed964e07e73fb7f936/app/main.cpp#L194
> 
> 
> <https://github.com/salamanderrake/KDevelop/blob/0e9822520dde913e177d00ed964e07e73fb7f936/app/main.cpp#L194>

I've reverted the change, but I'm not keen to make the above changes
because they're not trivial, I don't understand them, and I would
basically be copying and pasting code. I suspect we could have license
issues with that. If anyone knows different feel free to chime in.

For future reference, here are the known work-arounds for this problem:

1. At the command prompt: defaults write org.gnu.Emacs NSAppSleepDisabled -bool YES

2. Right-click on the Emacs icon and select 'get info' and tick the
   'Disable App Nap' checkbox. (Although I don't get that tick box...)

3. Run in daemon mode: Emacs as a daemon has no GUI so app nap
   is disabled automatically.

-- 
Alan Third